> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all medias

> Get all medias

<sup>Required permissions: `media:read`</sup>



## OpenAPI

````yaml get /media
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /media:
    parameters: []
    get:
      tags:
        - Media
      summary: Get all medias
      description: |-
        Get all medias

        <sup>Required permissions: `media:read`</sup>
      operationId: getMedias
      parameters:
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 1
          style: form
          explode: false
          allowReserved: false
        - name: limit
          in: query
          description: The number of items per page
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 30
            minimum: 0
            maximum: 100
          style: form
          explode: false
          allowReserved: false
        - name: search
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: order[createdAt]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
            enum:
              - asc
              - desc
          style: form
          explode: false
          allowReserved: false
      responses:
        '200':
          description: Media collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Media-MediaRead'
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Media-MediaRead'
      deprecated: false
      security:
        - JWT:
            - media:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /media \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Media-MediaRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          $ref: '#/components/schemas/MediaId-MediaRead'
          readOnly: true
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ
        mediaFolder:
          $ref: '#/components/schemas/MediaFolder-MediaRead'
        isPrivate:
          description: Whether the media is public accessible or not
          example: true
          type: boolean
        mimeType:
          description: The mime type of the media
          example: image/jpeg
          type:
            - string
            - 'null'
        fileExtension:
          description: The file extension of the media
          example: jpg
          type: string
        fileName:
          description: The original file name of the media
          example: invoice.jpg
          type: string
        storageFileName:
          description: The file name of the media in the storage
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg
          type: string
        createdAt:
          readOnly: true
          description: The date and time when the media was created
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
    MediaId-MediaRead:
      type: object
      description: ''
      deprecated: false
    MediaFolder-MediaRead:
      type: object
      description: ''
      deprecated: false
      properties:
        name:
          example: invoice
          type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````